aboutsummaryrefslogtreecommitdiff
path: root/commit.sh
diff options
context:
space:
mode:
authorBobby <[email protected]>2022-11-05 00:55:02 -0400
committerBobby <[email protected]>2022-11-05 00:55:02 -0400
commit4d966786d3cbbfdbe97f781a76fe358be0b43fe2 (patch)
tree552002a70591e20aa690165785461373faab6cd4 /commit.sh
parent80e2d8411e92bf082827d01dab8d74d975896d05 (diff)
downloadtexty-4d966786d3cbbfdbe97f781a76fe358be0b43fe2.tar.xz
texty-4d966786d3cbbfdbe97f781a76fe358be0b43fe2.zip
refactor: Auto exit when any command fails
Diffstat (limited to 'commit.sh')
-rwxr-xr-xcommit.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/commit.sh b/commit.sh
index 2743561..5093398 100755
--- a/commit.sh
+++ b/commit.sh
@@ -15,6 +15,8 @@
# This script should return 0 if the commit should proceed or 1 if
# the commit should be aborted.
+set -e
+
# Get the current branch name
branch=$(git rev-parse --abbrev-ref HEAD)